Flownative:
  OpenIdConnect:
    Client:
      services:
        neos:
          options:
            discoveryUri: ~
            clientId: ~
            clientSecret: ~
      middleware:
        authenticationProviderName: 'GesagtGetan.SingleSignOn:Backend'
Neos:
  Flow:
    security:
      authentication:
        authenticationStrategy: oneToken
        providers:
          'GesagtGetan.SingleSignOn:Backend':
            label: 'OpenID Connect'
            provider: 'Flownative\OpenIdConnect\Client\Authentication\OpenIdConnectProvider'
            entryPoint: 'GesagtGetan\SingleSignOn\SingleSignOnEntryPoint'
            token: 'Flownative\OpenIdConnect\Client\Authentication\OpenIdConnectToken'

            requestPatterns:
              'Neos.Neos:BackendControllers':
                pattern: 'ControllerObjectName'
                patternOptions:
                  controllerObjectNamePattern: 'Neos\Neos\Controller\.*'
              'Neos.Neos:ServiceControllers':
                pattern: 'ControllerObjectName'
                patternOptions:
                  controllerObjectNamePattern: 'Neos\Neos\Service\.*'
              'Neos.Neos.Ui:BackendControllers':
                pattern: ControllerObjectName
                patternOptions:
                  controllerObjectNamePattern: 'Neos\Neos\Ui\Controller\.*'
              'Neos.Media.Browser:Controllers':
                pattern: 'ControllerObjectName'
                patternOptions:
                  controllerObjectNamePattern: 'Neos\Media\Browser\Controller\.*'

            providerOptions:
              addRolesFromExistingAccount: true
              accountIdentifierTokenValueName: 'email'
              serviceName: 'neos'

            entryPointOptions:
              serviceName: 'neos'
              scope: 'profile email'
  Neos:
    fusion:
      autoInclude:
        GesagtGetan.SingleSignOn: true
